# timer.h File Reference

Go to the source code of this file.

## Data Structures

struct | _Timer
struct | _TimerInfo

## Typedefs

typedef struct _Timer | Timer
typedef struct _TimerInfo | TimerInfo

## Enumerations

enum | TimerState { UndefinedTimerState, StoppedTimerState, RunningTimerState }

## Functions

MagickExport double | GetElapsedTime (TimerInfo *)
MagickExport double | GetUserTime (TimerInfo *)
MagickExport MagickBooleanType | ContinueTimer (TimerInfo *)
MagickExport void | GetTimerInfo (TimerInfo *)
MagickExport void | ResetTimer (TimerInfo *)
MagickExport void | StartTimer (TimerInfo *, const MagickBooleanType)

## Typedef Documentation

typedef struct _Timer Timer

typedef struct _TimerInfo TimerInfo

## Enumeration Type Documentation

enum TimerState

Enumerator:

  UndefinedTimerState |
  StoppedTimerState |
  RunningTimerState |

## Function Documentation

MagickExport MagickBooleanType ContinueTimer | ( | TimerInfo * |  | ) |

MagickExport double GetElapsedTime | ( | TimerInfo * |  | ) |

MagickExport void GetTimerInfo | ( | TimerInfo * |  | ) |

MagickExport double GetUserTime | ( | TimerInfo * |  | ) |

MagickExport void ResetTimer | ( | TimerInfo * |  | ) |

MagickExport void StartTimer | ( | TimerInfo * | ,
|  | const | MagickBooleanType |
| ) |  |  |